diff -Naur btmgr-3.7-1.orig/installer/sbminst.c btmgr-3.7-1/installer/sbminst.c
--- btmgr-3.7-1.orig/installer/sbminst.c	2001-02-09 18:10:32.000000000 +0100
+++ btmgr-3.7-1/installer/sbminst.c	2005-10-24 18:00:51.000000000 +0200
@@ -35,6 +35,10 @@
 #include <fcntl.h>
 #include <dirent.h>
 
+#include <sys/sysmacros.h>
+#undef major
+#undef minor
+
 #else
 
 #include <bios.h>
@@ -280,8 +284,8 @@
     die ("%s is not a block device!\n", dev);
 
 /* Check device */
-  major = MAJOR (st.st_rdev);
-  minor = MINOR (st.st_rdev);
+  major = gnu_dev_major (st.st_rdev);
+  minor = gnu_dev_minor (st.st_rdev);
 
   if (major != MAJOR_FD && 
       major != MAJOR_HD1 && 

